<template>
<div>
<button-field style="margin: 0% 20%;" :title="redirect_title" :onClick="redirect"/>
<Table :titles="titles"  :records="records" />
<Pagination :pages="pages" :page="page" :setPage="setPage" />
</div>
</template>

<script>
import parseResponse from "./ParseResponse";
import Table from './Table/Table.vue'
import Pagination from './Pagination/Pagination.vue'

export default {
data () {
		return {
      titles:[ 'ID', 'User' ,'Balance', 'Currency'],
      records:[],
      pages:1,
      page:1,
      redirect_title: 'Create Account'
		}
	},
	methods:{
    setPage (action) {
      if(action=="next")
        this.page++;
      else
        this.page--;
      this.getAccounts();
    },
		getAccounts() {
      Nova.request().get("/nova-api/accounts?search=&filters=&orderBy=&perPage=5&trashed=&page="+this.page+"&relationshipType=").then(response => {
        var data= parseResponse(response, this.titles);
        this.pages= data.pages;
        this.records= data.records;
      })
      .catch(function (error) {
        Nova.error('Error message');
      });
    },
    redirect(){
      this.$router.push('/create-account');
    }
	},
	created(){
		this.getAccounts();
	},
  components: {
    Table,
    Pagination
  }
}
</script>
